Bug 124358 - can't boot fc2 2.6.x kernels on compaq proliant 8500R's
can't boot fc2 2.6.x kernels on compaq proliant 8500R's
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-25 17:44 EDT by Geir Sjurseth
Modified: 2015-01-04 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-02 22:51:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Geir Sjurseth 2004-05-25 17:44:00 EDT
Description of problem:
Cannot boot any 2.6 kernel on compaq proliant 8500R's.
First i upgraded a fc1 system to fc2 via yum/apt and then when I
rebooted it gets to the point where it says:

  mice: ps2 mouse drive common for all devices ( or something )

and then it reboots... It doesn't get far enough to boog to single or
find my scsi drives or free unused kernel memory or anything


Version-Release number of selected component (if applicable):


How reproducible:
I've tried it on two machines and done the following. 
Steps to Reproduce:
1. Tried with fc2 boot.iso, fc2-disk1, fc2-rescue cd and a gentoo
2.6.5-livecd all fail in the exact same place, except that when it
fails with gentoo it doesn't reboot, it just permanently hangs the
machine.
2. I've tried passing the following options nousb, noprobe, noapic,
nofb, text, skipddc, acpi=off, pci=off, pci=biosirq, ide=nodma
3. 
  
Actual results:
No changes...

Expected results:
I expected it to boot.

Additional info:
Comment 1 Hrunting Johnson 2004-06-22 18:04:08 EDT
Has this been checked on or reproduced?  I can reproduce in-house on
three different Compaq 8500R machines.  These are fairly common
servers so I expect that this could be verified pretty easily.
Comment 2 Paul McG. 2004-06-23 11:08:45 EDT
I can reproduce on our 8500s, as well.
I used a four processor (pent III, 550), 4 gig machine currently
running FC1. I tried a normal upgrade using the CDs and I also copied
the initrd.img and vmlinuz files from /isolinux and configured grub so
I could boot locally. Both attempts hang at the same place. With the
CD I see a normal boot to:

NET: Registered protocol family 2
IP: routing cache hash table of 32768 buckets, 256Kbytes
Unable to handle kernel paging request at virtual address c16f0018

From grub I see the hang in the same place with the same message, but
continues:

  printing eip:
c01301ff
*pde = 014001e3
Oops: 0009 [#1]
CPU: 0
EIP: 0060:[<c01301ff>] Not tainted

followed by a register dump and stack trace.
Comment 3 Dave Jones 2004-07-07 07:30:06 EDT
can you get the full dump & trace please ?
Comment 4 Paul McG. 2004-07-12 11:51:37 EDT
NET: Registered protocol family 2
IP: routing cache hash table of 32768 buckets, 256Kbytes
Unable to handle kernel paging request at virtual address c16f0018
 printing eip:
c013201ff
*pde = 014001e3
Oops: 0009 [#1]
CPU:    0
EIP:    0060:[<c01301ff>]   Not tainted
EFLAGS: 00010002   (2.6.5-1.358)
EIP is at __rmqueue+0x38/0x102
eax: 00000078   ebx: 0000000a   ecx: c16f0018   edx: c02d1d44
esi: 00000000   edi: c02d1dbc   ebp: 0000000a   esp: f7d90f54
ds: 007b   es: 007b   ss: 0068
Process swapper (pid: 1, threadinfo=f7d90000 task=c304f630)
Stack: 0000003c c02d1e08 0000000a c02d1d44 c02d1d44 00000000 00000206
0000000a
       c0130579 00000000 00000220 c02d1d44 c02d1d44 00000000 c02d1f8c
00000220
       c01306b9 00000001 c304f630 00000000 0000000a 00000000 0000000a
00000000
Call Trace:
 [<c0130579>] buffered_rmqueue+0xa2/0x147
Comment 5 Michael A. Romig 2004-08-03 15:37:15 EDT
Adding i8042.nomux to the boot prompt gets around this problem.
Comment 6 Rik van Riel 2004-08-03 15:46:00 EDT
A patch for this problem has been has been merged in the upstream
kernel a few months ago. It should be fixed in the latest kernels from
Arjan's page:

http://people.redhat.com/arjanv/2.5/  (IIRC)
Comment 7 Dave Jones 2004-11-02 22:51:22 EST
should be fixed in the current tree. For FC2, use the workaround in comment #5

Note You need to log in before you can comment on or make changes to this bug.